org.aspectj.internal.lang.reflect

## Class DeclareAnnotationImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.DeclareAnnotationImpl

All Implemented Interfaces:
  DeclareAnnotation

    public class DeclareAnnotationImpl
    extends Object
    implements DeclareAnnotation

Author:
  colyer

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.aspectj.lang.reflect.DeclareAnnotation

`DeclareAnnotation.Kind`

### Constructor Summary

Constructors
Constructor and Description
`DeclareAnnotationImpl(AjType<?> declaring, String kindString, String pattern, Annotation ann, String annText)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Annotation` `getAnnotation()`
`String` `getAnnotationAsText()`
`AjType<?>` `getDeclaringType()`
`DeclareAnnotation.Kind` `getKind()`
`SignaturePattern` `getSignaturePattern()`
`TypePattern` `getTypePattern()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeclareAnnotationImpl

    public DeclareAnnotationImpl(AjType<?> declaring,
                                 String kindString,
                                 String pattern,
                                 Annotation ann,
                                 String annText)

### Method Detail

#### getDeclaringType

    public AjType<?> getDeclaringType()

Specified by:
  `getDeclaringType` in interface `DeclareAnnotation`
Returns:
  the aspect that declared this member.

#### getKind

    public DeclareAnnotation.Kind getKind()

Specified by:
  `getKind` in interface `DeclareAnnotation`
Returns:
  the target element kind

#### getSignaturePattern

    public SignaturePattern getSignaturePattern()

Specified by:
  `getSignaturePattern` in interface `DeclareAnnotation`
Returns:
  the target signature pattern. Returns null if getKind() == Type

#### getTypePattern

    public TypePattern getTypePattern()

Specified by:
  `getTypePattern` in interface `DeclareAnnotation`
Returns:
  the target type pattern. Returns null if getKind() != Type

#### getAnnotation

    public Annotation getAnnotation()

Specified by:
  `getAnnotation` in interface `DeclareAnnotation`
Returns:
  the declared annotation. If the declared annotation does not have runtime retention, this method returns null.

#### getAnnotationAsText

    public String getAnnotationAsText()

Specified by:
  `getAnnotationAsText` in interface `DeclareAnnotation`
Returns:
  the text of the annotation as declared in this member. Available for both runtime and class-file retention annotations

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`